# Create Express MVC  ![PRs Welcome](https://img.shields.io/badge/PRs-welcome-green.svg)

A template to kickstart a Node.js backend project. It incorporates a commonly used folder structure in the industry.

Create Express MVC works on macOS, Windows, and Linux.
If something doesn’t work, please [file an issue](https://github.com/sanyamjain036/create-express-mvc/issues/new).



## Quick Overview

```sh
npx create-express-mvc my-app
cd my-app
npm start
```

### Get Started Immediately

You **don’t** need to install or configure tools like express, cors, mongoose,dotenv, nodemon or swagger.
They are preconfigured so that you can focus on the code.

Create a project, and you’re good to go.

Create .env according to your need
```sh
 PORT=8080
 NODE_ENV=<development or production>
 MONGO_URI=<YOUR_MONGODB_URI>
```

## Creating an App
To create a new app, you may choose one of the following methods:

### npx
```sh
npx create-express-mvc my-app
```
### npm

```sh
npm init express-mvc my-app
```

### Yarn

```sh
yarn create express-mvc my-app
```

It will create a directory called `my-app` inside the current folder.
Inside that directory, it will generate the initial project structure and install the transitive dependencies.

No configuration or complicated folder structures, only the files you need to build your app.
Once the installation is done, you can open your project folder:

```sh
cd my-app
```

Inside the newly created project, you can run some built-in commands:

### `npm start` or `yarn start`

Runs the app in development mode.
Open [http://localhost:8080](http://localhost:8080) to view it in the browser.

The page will automatically reload if you make changes to the code.
